#modname "Arralens Black Steel of Ulm D3"
#version 2.02
#domversion 3.08
#icon "./bsu/bsuD3_2.2.tga"
#description "Black Steel armor for Ulmish troops. Improved chain mail, less cumbersome because of superior quality and full plate armor, unbearable for more than some hours, but the only armor that can deflect hits.

This is a rewrite and upgrade of my Dom2 mod.
While the old version used improved shield graphics with kind permission from Endoperez, this time I blatantly stole everything from him - graphics for Warlord and Noble, and some of their stats, too."

-- Created by Stefan Weniger
-- Major Changes see Readme file

-- WEAPONS -----------------------
#selectweapon 74
#rcost 10
#end


-- ARMOR -------------------------

#selectarmor "Full Plate of Ulm"
#prot 21
#def -2
#enc 5
#end

#selectarmor "Black Steel Plate"
#rcost 15
#end

#selectarmor "Black Steel Helmet"
#rcost 5
#end

#newarmor 200
#name "Full Chain of Ulm"
#type 5
#prot 17
#def -3
#enc 2
#rcost 17
#end

#newarmor 201
#name "Black Steel Pot"
#type 6
#prot 18
#def 0
#enc 0
#rcost 4
#end


-- NEW COMMANDERS --------------------

#selectmonster 115
#clear
#name "Sharpshooter"
#nametype 104
#spr1 "./bsu/nobleman.tga"
#spr2 "./bsu/nobleman2.tga"
#descr "Most of Ulm's nobles are capable warriors and tacticians. The life of a warrior doesn't suit everyone, though, and some noblemen want to stay as far from the chaos of battle as possible. Ulmish arbalests' respectable range allows them to join the ranks of the Ulmish war machine without risking personal injury. Known to be a cowardly lot often running from the slightest sight of danger, they are nevertheless respected for their skills with the crossbow."
#hp 11
#prot 0
#mr 10
#str 11
#mor 9
#att 10
#def 11
#prec 12
#mapmove 2
#ap 14
#enc 3
#weapon 6
#weapon 26
#armor "Black Steel Plate"
#gcost 30
#rcost 1
#poorleader
#end


#newmonster 2000
#name "Black Duke of Ulm"
#nametype 104
#copyspr 1237
#descr "The Black Dukes are the military leaders of the Black Order. Clad in full plate armor of black steel, they not only command Ulm's armies in times of war, but are often seen fighting in the front lines as well. They can conscript milita and sometimes give knighthood to worthy individuals."
#ap 18
#mapmove 2
#hp 17
#prot 0
#size 3
#ressize 2
#str 14
#enc 5
#att 13
#def 13
#prec 10
#mr 12
#mor 16
#weapon "Lance"
#weapon 74
#weapon 56
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#armor "Black Steel Kite Shield"
#mounted
#nametype 104
#superiorleader
#nomagicleader
#noundeadleader
#standard 12
#domsummon20 69
#makemonster3 75
#startage 37
#gcost 240
#rcost 40
#end


#selectmonster 2001
#clear
#spr1 "./bsu/warlord.tga"
#spr2 "./bsu/warlord2.tga"
#name "Warlord of Ulm"
#nametype 104
#descr "The inhabitants of Ulm are large, can endure much physical punishment before collapsing and are strong willed enough to shrug off some spells, despite lacking any experience with magic. There are many great warriors among them, but not all of them receive knighthood, for whatever reason. Those with a tribal background still strong claim the title of a Warlord instead."
#hp 15
#prot 0
#mor 16
#mr 12
#str 14
#att 13
#def 12
#enc 2
#prec 10
#berserk 3
#okleader
#standard 5
#weapon 108
#armor "Black Steel Full Plate"
#armor "Black Steel Helmet"
#gcost 0
#rcost 1
#end

#newmonster 2002
#name "Monk"
#copyspr 60
#copystats 60
#descr "Monks are the only clerics in Ulm. From secluded monsteries they venture out to every settlement to preach the word of god. In times of war, some are send out with the armies to preach to the soldiers and pray for the dead, others sneak into enemy lands to spread the word of the one and only god among the heretics."
#gcost 60
#end

-- SITE --------------------------
#selectsite "The Keep of Ulm"
#homemon 66
#homecom 113
#homecom 2000
#end

#selectsite "The Forges of Ulm"
-- reduced gem production (5->2) to pay for intrinsic Swords of Sharpness and Black Steel Armors
#gems 3 2
#end

-- NATION ------------------------

#selectnation 31
#epithet "Black Steel of Ulm"
#descr "Ulm rose from the ulmic tribes conquered by Ermor. From the ashes of the empire emerged a new kingdom true to its ancient legacy - the enigma of steel. The mines of Ulm are famous for their riches, and the smiths work the iron into the black steel armor used by knights and infantry. The people of Ulm are heavily built and have little trouble using full chain or plate armors. The feared Black Knights of Ulm are the most heavily armored troops known to man. The use of magic was never approved and spellcasters are distrusted: Corrupted by otherworldly powers, they tend to aspire increasingly more power and fail to control it in the end. As artifacts and machines do not fail, only the Master Smiths are allowed to use magic in their works. Accustomed to unfavourable conditions, they are not effected by drain dominion. Still, the trust of Ulm lies in steel, not magical gadgets or any old or new god. That's why the priests have a hard time keeping the faith up."

--dyingdom

#multihero1 2001

-- improved provincial defense
-- armored commander first
#defcom1 116
-- priest later
#defcom2 240
-- milita
#defunit1 75
#defmult1 15
-- crossbowmen
#defunit1b 47
#defmult1b 10
-- mded inf w. hammer/shield
#defunit2 73
#defmult2 15
--defunit2b
--defunit2b


#clearrec
#addrecunit 67
#addrecunit 68
#addrecunit 71
#addrecunit 72
#addrecunit 73
#addrecunit 74
#addrecunit 77
#addrecunit 78
#addrecunit 79
#addrecunit 80
#addrecunit 417
#addrecunit 749
#addrecunit 69
#addreccom 427
#addreccom 116
#addreccom 117
#addreccom 114
#addreccom 70
#addreccom 325
#addreccom 748
#addreccom 2002
#addreccom 115
#end

-- UNITS -------------------------

--   Infantry of Ulm - Battleaxe
#selectmonster 67
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm, which makes it as sturdy as any other mail, but significantly less cumbersome. The battleaxes they carry are said to be three times as dangerous as the spears other nations use, but sadly they are very costly. The Soldiers are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Chain of Ulm"
#armor "Black Steel Pot"
#mr 11
#enc 2
#mapmove 2
#end

--    Infantry of Ulm - Flail
#selectmonster 71
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm, which makes it as sturdy as any other mail, but significantly less cumbersome. Against poorly armored targets they use Flails, which hit the target twice per strike, but have trouble punching through armor. They are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Chain of Ulm"
#armor "Black Steel Pot"
#mr 11
#enc 2
#mapmove 2
#end

-- Infantry of Ulm - Hammer*
#selectmonster 73
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm, which makes it as sturdy as any other mail, but significantly less cumbersome. Those who carry the big tower shields form the front of the battle line, as they are mostly save from enemy missles. They are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Chain of Ulm"
#armor "Black Steel Pot"
#armor "Black Steel tower Shield"
#mr 11
#enc 2
#mapmove 2
#end

-- Infantry of Ulm - Maul   ===> Milita
#selectmonster 75
#name "Milita of Ulm"
#descr "The Milita of Ulm resembles the medium infantry much, but is not issued black steel armor and uses the heavy steel maul that is widely distributed for work in forrests, quarries and mines. Obviously, commoners called to arms can't have the same combat profiency  as regular troops despite the quarterly Heerschau held by the local nobility. Those nobles sometimes draft from the local milita if they feel like it."
#att 9
#def 9
#mor 8
#mr 11
#enc 2
#ap 11
#gcost 8
#end

-- Infantry of Ulm - Morningstar*
#selectmonster 77
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm, which makes it as sturdy as any other mail, but significantly less cumbersome. Those who carry the big tower shields form the front of the battle line, as they are mostly save from enemy missles. Their morningstars allow them to circumvent enemies shields, but the unwieldy weapon makes them easier to hit. They are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Chain of Ulm"
#armor "Black Steel tower Shield"
#armor "Black Steel Pot"
#mr 11
#enc 2
#mapmove 2
#end

-- Pikeneer
#selectmonster 79
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm, which makes it as sturdy as any other mail, but significantly less cumbersome. Their long pikes are great to keep low-morale troops with shorter weapons from attacking. They are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Chain of Ulm"
#armor "Black Steel Pot"
#mr 11
#enc 2
#mapmove 2
#end


-- Black Plate Infantry - Battleaxe
#selectmonster 68
#descr "The Black Plate Infantry of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. The battleaxes they carry are said to be three times as dangerous as the spears other nations use, but sadly they are very costly. They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#mor 11
#mr 11
#enc 2
#att 11
#def 11
#gcost 12
#end

-- Black Plate Infantry - Flail
#selectmonster 72
#descr "The Black Plate Infantry of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. Against poorly armored targets they use Flails, which hit the target twice per strike, but have trouble punching through armor.  They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#mor 11
#mr 11
#enc 2
#att 11
#def 11
#gcost 12
#end

-- Black Plate Infantry - Hammer*
#selectmonster 74
#descr "The Black Plate Infantry of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. Those who carry the big tower shields make up the front line on the battlefield, as their protection is impervious to enemy missles. They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#mor 11
#mr 11
#enc 2
#att 11
#def 11
#gcost 12
#end

-- Black Plate Infantry - Maul        **removed from the recruitment list**


-- Black Plate Infantry - Morningstar*
#selectmonster 78
#descr "The Black Plate Infantry of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. Those who carry the big tower shields make up the front line on the battlefield, as their protection is impervious to enemy missles. Their morningstars allow them to circumvent enemies shields, but the unwieldy weapon makes them easier to hit. They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#armor "Black Steel tower Shield"
#mor 11
#mr 11
#enc 2
#att 11
#def 11
#gcost 12
#end

-- Black Plate Pikeneer
#selectmonster 80
#descr "The Black Pikeneers of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. Their long pikes are great to keep low-morale troops with shorter weapons from attacking. They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#mor 12
#mr 11
#enc 2
#att 11
#def 11
#gcost 12
#end

-- Black Knight
#selectmonster 69
#clear
#name "Black Knight of Ulm"
#descr "The Black Knights are the knightly members of the Black Order and are the most formidable units of mankind. Their full plate armor is made of black steel, as is the barding of their horses. Only the strongest warriors are allowed to become members of the Black Order."
#ap 18
#mapmove 2
#hp 15
#prot 0
#size 3
#ressize 2
#str 14
#enc 4
#att 12
#def 12
#prec 10
#mr 11
#mor 15
#weapon "Lance"
#weapon "Broad Sword"
#weapon 56
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#armor "Black Steel Kite Shield"
#mounted
#gcost 55
#rcost 40
#end


--   Crossbowman
#selectmonster 417
#descr "The Crossbowmen of Ulm are of larger stock than ordinary humans and wear black steel plate cuirasses. Their heavy arbalests fire slowly, but are dangerous even to Ulms own knights or the big monsters other nations are fielding."
#armor "Black Steel Plate"
#armor "Black Steel Pot"
#prec 11
#mr 11
#enc 2
#mapmove 2
#end


-- Sapper
#selectmonster 749
#mr 11
#enc 4
#end

-- Guardian
#selectmonster 66
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#mr 11
#enc 2
#castledef 5
#end


-- COMMANDERS --------------------

-- Commander of Ulm 1
#selectmonster 114
#name "Captain of Ulm"
#descr "The Captains of Ulm are tasked with levying new recruits, organizing local milita  as well as units of regular infantry. In times of need they can conscript militamen into the regular forces. While they wear black steel armor, too, both weapons and armors are of the lighter variety, as a captain is not supposed to fight in the front lines. Still, Captains of Ulm are large and both strong of body and mind, able to shrug off some spells, despite lacking any experience with magic."
#str 11
#armor "Black Steel Pot"
#armor "Full Chain of Ulm"
#armor "Black Steel tower Shield"
#mr 11
#enc 2
#makemonster1 75
#gcost 60
#end

-- Commander of Ulm 2 -- removed !!
--selectmonster 115
--descr "The Commanders of Ulm wear the same black steel armor, heavy weapons and tower shields as their troops. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
--str 12
--armor "Black Steel Helmet"
--armor "Full Plate of Ulm"
--armor "Black Steel tower Shield"
--mr 11
--enc 2
--att 12
--def 12
--end


-- Commander of Ulm 3
#selectmonster 116
#name "Sergant of Ulm"
#descr "The Sergants of Ulm lead their squads into battle, be it local milita or regular troops. They wear the same black steel armor, heavy weapons and tower shields as their soldiers. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 12
#armor "Black Steel Pot"
#armor "Full Chain of Ulm"
#armor "Black Steel tower Shield"
#att 12
#def 12
#mr 11
#enc 2
#standard 4
#poorleader
#end

-- Commander of Ulm 4
#selectmonster 117
#name "Sergant of Ulm"
#descr "The Sergants of Ulm lead their squads into battle, be it local milita or regular troops. They wear the same black steel armor, heavy weapons and tower shields as their soldiers. Soldiers of Ulm are large and strong willed enough to shrug off some spells, despite lacking any experience with magic."
#str 12
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel tower Shield"
#att 12
#def 12
#mr 11
#enc 2
#standard 4
#poorleader
#end

-- Black Lord
#selectmonster 70
#clear
#name "Count of Ulm"
#descr "The Counts of Ulm, sometimes called 'Black Lords', are members of the Black Order as well as local leaders and are the most formidable units of mankind. Their full plate armor is made of black steel, as is the barding of their horses. Only the strongest warriors are allowed to become members of the Black Order."
#ap 18
#mapmove 2
#hp 16
#prot 0
#size 3
#ressize 2
#str 14
#enc 4
#att 12
#def 12
#prec 10
#mr 11
#mor 16
#weapon "Lance"
#weapon 74
#weapon 56
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel Kite Shield"
#mounted
#standard 6
#goodleader
#nomagicleader
#noundeadleader
#gcost 120
#rcost 40
#end


-- Black Duke of Ulm
-- see at the top => "newmonster"
--

-- Lord Guardian
#selectmonster 113
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#mr 12
#enc 2
#mapmove 1
#castledef 5
#end

-- Master Smith
#selectmonster 325
#hp 12
#str 13
#enc 5
#clearmagic
#magicskill 0 1
#magicskill 3 2
#custommagic 3456 20
#gcost 160
#end

-- Barthulf the Hero
#selectmonster 377
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#armor "Black Steel Kite Shield"
#mr 12
#enc 5
#end

-- Raterik the Hero
#selectmonster 378
#armor "Full Plate of Ulm"
#armor "Black Steel Helmet"
#armor "Black Steel Kite Shield"
#mr 12
#ap 18
#enc 5
#okleader
#nomagicleader
#noundeadleader
#end

-- Hildegard the Heroine
#selectmonster 507
#mr 12
#end
